% Programma principale per la stima dei parametri del modello alla
% Michaelis-Menten attraverso il comando di Matlab "nlinfit"
%
clear all
clc
% Definizione dei vettori (colonna) x ed y
x = [0.02; 0.06; 0.11; 0.22; 0.56; 1.1];
y = [76; 107; 139; 159; 201; 207];

% Definizione del vettore dei valori di primo tentativo dei parametri
% ottenuti linearizzando il modello
theta = [209.9, 0.0461];

% Stima dei parametri
nlinfit(x, y, @michMenNlinfit, theta)