% Nella function che segue si definisce il modello non lineare alla
% Michaelis-Menten da utilizzare col comando "nlinfit" di Matlab:
%
%       r = theta1*x/(theta2 + x)
%
% dove:
%   r = velocit di reazione misurata
%   x = concentrazione
%   theta1, theta2 = parametri del modello cientico
%
function r = michMenNlinfit(theta, x)

% Definizione del modello
r = theta(1)*x./(theta(2) + x);