% Plot della funzione definita in "functionLS.m"
%
% Generazione del vettore ascisse ed ordinate
asc = linspace(0,1,100);
ord = linspace(0.0001,0.05,100);
% Generazione della griglia su cui effettuare il plot
[ascm, ordm] = meshgrid(asc, ord);
% Calcolo della funzione "functionLS" in ogni punto della griglia
for i = 1:100,
    for j = 1:100,
        cm = [ascm(i,j), ordm(i,j)];
        funzL(i,j) = modelloNL(cm);
    end
end
% Diagrammi della funzione
surf(ascm, ordm, funzL);
figure
contour(ascm, ordm, funzL, 30);